QGIS Application - Bug report #17014
crash QGIS in Linux when tap on plugins
2017-08-12 07:04 PM - Ahmad Noori

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:2.18.6 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 24913
Description

I've installed QGIS version 2.18.6 on ubuntu linux OS.
every time | click on plugins manager the software will crash and immediately quit the software.

History

#1 - 2017-08-12 07:06 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes
- Priority changed from Normal to High

very likely to be a local issue (as of course does not happen in general).

Can you post the terminal message after the crash (you need to launch QGIS from the command line). Thanks.

Also install 2.18.11 and try again.

#2 - 2017-08-12 07:33 PM - Ahmad Noori

- File Screenshot from 2017-08-13 02-25-50.png added
- File Screenshot from 2017-08-13 02-26-14-new.png added

| have attached screenshots before and after clicking on plugin manager.
please let me know if there is a missing point.

Yes | think the update solution would be nice.

Thank you for answering

#3 - 2017-08-13 12:05 PM - Borys Jurgiel

1. Yes, start from upgrading please. There were numerous bugfixes since 2.18.6.

2. If it doesn't help, please remove the old configuration. This trick used to solve many problems with crashes. Just rename or move somewhere both
directories (they will be recreated on next QGIS start with default settings):

~/.qgis2

~/.config/QGIS

and run QGIS again. If you're sure you don't have any valuable settings (WMS or Postgres connections, your own styles, spatial bookmarks etc) and
plugins, you can just remove them. If you have any, once confirmed this step helped, you can restore subdirectories one by one, observing which one

caused the problem (or you can restore them in whole, if it didn't help at all).

3. If the problem still persists, the reason may be with one of the built-in plugins (the plugin manager examines them all when starting). In this case, try hide

the plugins from QGIS, renaming these directories:
/usr/share/qgis/python/plugins
/usr/lib/qgis/plugins

#4 - 2017-09-22 02:07 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
